vfs_path_lookup
Prev | Other Functions | Next

## Name

vfs_path_lookup — lookup a file path relative to a dentry-vfsmount pair

## Synopsis

`int vfs_path_lookup (` | struct dentry * | dentry,
| struct vfsmount * | mnt,
| const char * | name,
| unsigned int | flags,
| struct nameidata * | nd`)`;

## Arguments

`dentry`

  pointer to dentry of the base directory

`mnt`

  pointer to vfs mount of the base directory

`name`

  pointer to file name

`flags`

  lookup flags

`nd`

  pointer to nameidata

Prev | Up | Next
path_put | Home | lookup_one_len